Skip to content

Claim Account

Allow a customer to take ownership of an account created on their behalf. Generate a short-lived claim_account_code and use it when redirecting the customer to Wise to finalize their account setup.

Generate a claim account code

Request

Generate a short-lived claim_account_code that allows a customer to take ownership of an account. Use the code when redirecting the customer to Wise to finalize their account setup.

Security
UserToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
registrationCodestringrequired

The registration_code obtained when creating the user.

curl -i -X POST \
  https://api.wise.com/2026Q3/user/claim-account \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "registrationCode": "<registration code>"
  }'

Responses

Claim account code generated successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
claimAccountCodestring

The claim_account_code to be used in the redirect to Wise.

Response
{ "claimAccountCode": "<claim_account_code>" }